Add-ons
  1. Add-ons
  2. CONTRIB-1469

Updated Quick find list block to 2.0 APIs

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Minor Minor
    • Resolution: Fixed
    • Affects Version/s: 2.0
    • Fix Version/s: 2.0.4, 2.1, 2.2
    • Component/s: Block: Quick find list
    • Labels:
      None
    • Affected Branches:
      MOODLE_20_STABLE
    • Fixed Branches:
      MOODLE_20_STABLE, MOODLE_21_STABLE, MOODLE_22_STABLE
    • Rank:
      21616

      Description

      Similar to CONTRIB-1468, I've updated the code in this block, and enabled AJAX funcationality.

        Issue Links

          Activity

          Hide
          Anne-Marie Defesche added a comment -

          Updated files still do not install on Moodle 2.0. Error received:
          plugin "block/quickfindlist" is defective or outdated, can not continue, sorry.
          More information about this error
          Debug info: Missing version.php file.
          Stack trace:

          • line 552 of /lib/upgradelib.php: plugin_defective_exception thrown
          • line 267 of /lib/upgradelib.php: call to upgrade_plugins_blocks()
          • line 1348 of /lib/upgradelib.php: call to upgrade_plugins()
          • line 290 of /admin/index.php: call to upgrade_noncore()
          Show
          Anne-Marie Defesche added a comment - Updated files still do not install on Moodle 2.0. Error received: plugin "block/quickfindlist" is defective or outdated, can not continue, sorry. More information about this error Debug info: Missing version.php file. Stack trace: line 552 of /lib/upgradelib.php: plugin_defective_exception thrown line 267 of /lib/upgradelib.php: call to upgrade_plugins_blocks() line 1348 of /lib/upgradelib.php: call to upgrade_plugins() line 290 of /admin/index.php: call to upgrade_noncore()
          Hide
          Mark Johnson added a comment -

          This Zip contains the latest version - properly updated to 2.0 APIs.

          Show
          Mark Johnson added a comment - This Zip contains the latest version - properly updated to 2.0 APIs.
          Hide
          Mike Worth added a comment -

          I assume this was sorted? Can I mark this as solved?

          Show
          Mike Worth added a comment - I assume this was sorted? Can I mark this as solved?
          Hide
          Mark Johnson added a comment -
          Show
          Mark Johnson added a comment - This is done, published on GitHub ( https://github.com/marxjohnson/moodle-block_quickfindlist ) and Plugins database ( http://moodle.org/plugins/view.php?plugin=block_quickfindlist )

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development